Package Details: leslie-git 0.r8.aa2c796-1

Git Clone URL: https://aur.archlinux.org/leslie-git.git (read-only)
Package Base: leslie-git
Description: A leslie audio effect with jack, OSC control, and (optionally) an opengl GUI.
Upstream URL: https://github.com/dack/leslie
Licenses: GPL
Submitter: dack
Maintainer: dack
Last Packager: dack
Votes: 0
Popularity: 0.000000
First Submitted: 2015-09-09 00:40
Last Updated: 2015-11-02 22:50

Latest Comments

dack commented on 2015-11-02 22:51

webui version fixed now - forgot to update .srcinfo (still getting used to aur4)

sekret commented on 2015-11-02 16:53

Hey, thanks for applying the changes!

Strange though that the AUR interface doesn't show the new pkgver...

dack commented on 2015-10-08 22:02

Thanks sekret. I've made the changes you suggested. Good call on PKGVER. I don't have any plans to tag releases (I'm the developer of the software as well), but I've done the leading 0 on pkgver as suggested just in case. The dependencies are all currently required. The build system could be improved to make some of those optional (such as allow building without a GUI), but I don't have much time to work on it these days.

sekret commented on 2015-10-04 16:00

Hi! Your pkgver function really isn't the best, because it doesn't really show the pkgver! I'd recommend you use

printf "0.r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"

This creates the following output

0.r8.aa2c796

The leading 0 is there in case the developer starts tagging releases.

Two other things, please add git to the makedepends line and use GPL as a license rather than GPLv3 (in Archlinux GPL means GPLv3, e.g. if it were GPLv2 it would be GPL2 in a PKGBUILD)

I'm not sure about the dependencies, I think some of them could be set as optional.